aboutsummaryrefslogtreecommitdiff
path: root/dendrite/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dendrite/doinst.sh')
-rw-r--r--dendrite/doinst.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/dendrite/doinst.sh b/dendrite/doinst.sh
new file mode 100644
index 0000000..9354800
--- /dev/null
+++ b/dendrite/doinst.sh
@@ -0,0 +1,28 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if ! getent passwd dendrite >/dev/null; then
+ useradd dendrite \
+ --comment 'Dendrite matrix server' \
+ --user-group \
+ --system \
+ --home-dir /var/lib/dendrite \
+ || true
+fi
+
+config etc/rc.d/rc.dendrite.new
+config etc/dendrite/dendrite.yaml.new
+
+chown root:dendrite etc/dendrite
+chown dendrite:dendrite var/lib/dendrite
+chown dendrite:dendrite var/log/dendrite